<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Calculator</title>
    <link rel="stylesheet" href="calculator.css">
</head>
<script>
    function dis(val) {
        document.getElementById("result").value+=val
    }
    function solve()
    {
        let x =document.getElementById("result").value
        let y =eval(x);
        document.getElementById("result").value=y
    }
    function crl() {
        document.getElementById("result").value=""
    }
</script>
<body>
        <table border="1"class="table">
            <tr>
                <td colspan="4"><input type="text" id="result"/></td>
                <td><input type="button" value="c" onclick="crl()"/></td>
            </tr>
            <tr>
                <td><input type="button" value="*" onclick="dis('*')"/></td>
                <td><input type="button" value="/" onclick="dis('/')"/></td>
                <td><input type="button" value="-" onclick="dis('-')"/></td>
                <td><input type="button" value="+" onclick="dis('+')"/></td>
                <td><input type="button" value="=" onclick="solve('')"/></td>
            </tr>
            <tr>
                <td><input type="button" value="6" onclick="dis('6')"/></td>
                <td><input type="button" value="7" onclick="dis('7')"/></td>
                <td><input type="button" value="8" onclick="dis('8')"/></td>
                <td><input type="button" value="9" onclick="dis('9')"/></td>
                <td><input type="button" value="0" onclick="dis('0')"/></td>
            </tr>
            <tr>
                <td><input type="button" value="1" onclick="dis('1')"/></td>
                <td><input type="button" value="2" onclick="dis('2')"/></td>
                <td><input type="button" value="3" onclick="dis('3')"/></td>
                <td><input type="button" value="4" onclick="dis('4')"/></td>
                <td><input type="button" value="5" onclick="dis('5')"/></td>
            </tr>

        </table>
    </div>
</body>
</html>